Index: Makefile
===================================================================
--- Makefile	(revision e49e2ea26119d5fe32b5d37ef0cac553944f9fa0)
+++ Makefile	(revision 9e76c64bee29fcf6d7f31ac5fcf32dca365a318d)
@@ -1,5 +1,3 @@
-#BASEDIR = ~/lfs-book
-#SYSDDIR = ~/lfs-systemd
-#DUMPDIR = ~/lfs-commands
+# vim:ts=3
 RENDERTMP = $(HOME)/tmp
 CHUNK_QUIET = 1
@@ -24,13 +22,13 @@
 
 ifeq ($(REV), sysv)
-  BASEDIR         ?= ~/lfs-book
+  BASEDIR         ?= $(HOME)/public_html/lfs-book
   PDF_OUTPUT      ?= LFS-BOOK.pdf
   NOCHUNKS_OUTPUT ?= LFS-BOOK.html
-  DUMPDIR         ?= ~/lfs-commands
+  DUMPDIR         ?= $(HOME)/lfs-commands
 else
-  BASEDIR         ?= ~/lfs-systemd
+  BASEDIR         ?= $(HOME)/public_html/lfs-systemd
   PDF_OUTPUT      ?= LFS-SYSD-BOOK.pdf
   NOCHUNKS_OUTPUT ?= LFS-SYSD-BOOK.html
-  DUMPDIR         ?= ~/lfs-sysd-commands
+  DUMPDIR         ?= $(HOME)/lfs-sysd-commands
 endif
 
@@ -47,5 +45,6 @@
 	$(Q)mkdir -p $(BASEDIR)/stylesheets
 	$(Q)cp stylesheets/lfs-xsl/*.css $(BASEDIR)/stylesheets
-	$(Q)sed -i 's|../stylesheet|stylesheet|' $(BASEDIR)/index.html
+	$(Q)sed -e 's|../stylesheet|stylesheet|' \
+           -i $(BASEDIR)/index.html
 
 	$(Q)mkdir -p $(BASEDIR)/images
@@ -55,10 +54,8 @@
 	$(Q)for filename in `find $(BASEDIR) -name "*.html"`; do \
          tidy -config tidy.conf $$filename;           \
-         true;                                        \
          /bin/bash obfuscate.sh $$filename;           \
-         sed -e "s@text/html@application/xhtml+xml@g" \
-             -e "s/\xa9/\&copy;/ "                    \
+         sed -e "s|text/html|application/xhtml+xml|g" \
              -i $$filename;                           \
-   done;
+       done
 
 	$(Q)$(MAKE) --no-print-directory wget-list md5sums
@@ -99,15 +96,14 @@
                 stylesheets/lfs-nochunks.xsl           \
                 $(RENDERTMP)/lfs-html.xml
-#                $(RENDERTMP)/lfs-html2.xml
 
 	@echo "Running Tidy..."
-	$(Q)tidy -config tidy.conf $(BASEDIR)/$(NOCHUNKS_OUTPUT) || true
+	$(Q)tidy -config tidy.conf $(BASEDIR)/$(NOCHUNKS_OUTPUT) || test $$? -le 1
 
 	@echo "Running obfuscate.sh..."
-	$(Q)bash obfuscate.sh                                $(BASEDIR)/$(NOCHUNKS_OUTPUT)
-	$(Q)sed -i -e "s@text/html@application/xhtml+xml@g"  $(BASEDIR)/$(NOCHUNKS_OUTPUT)
-	$(Q)sed -i -e "s@../wget-list@wget-list@"            $(BASEDIR)/$(NOCHUNKS_OUTPUT)
-	$(Q)sed -i -e "s@../md5sums@md5sums@"                $(BASEDIR)/$(NOCHUNKS_OUTPUT)
-	$(Q)sed -i -e "s@\xa9@\&copy;@"                      $(BASEDIR)/$(NOCHUNKS_OUTPUT)
+	$(Q)bash obfuscate.sh      $(BASEDIR)/$(NOCHUNKS_OUTPUT)
+	$(Q)sed -e "s|text/html|application/xhtml+xml|g" \
+           -e "s|../wget-list|wget-list|"           \
+           -e "s|../md5sums|md5sums|"               \
+           -i $(BASEDIR)/$(NOCHUNKS_OUTPUT)
 
 	@echo "Output at $(BASEDIR)/$(NOCHUNKS_OUTPUT)"
@@ -128,14 +124,14 @@
 	$(Q)xsltproc --nonet                               \
                 --xinclude                            \
+                --stringparam profile.revision $(REV) \
                 --output $(RENDERTMP)/lfs-html2.xml   \
-                --stringparam profile.revision $(REV) \
                 stylesheets/lfs-xsl/profile.xsl       \
                 index.xml
 
 	@echo "Validating the book..."
-	$(Q)xmllint --nonet                      \
-               --noent                      \
-               --postvalid                  \
-               -o $(RENDERTMP)/lfs-full.xml \
+	$(Q)xmllint --nonet                            \
+               --encode UTF-8                     \
+               --postvalid                        \
+               --output $(RENDERTMP)/lfs-full.xml \
                $(RENDERTMP)/lfs-html2.xml
 
@@ -152,23 +148,26 @@
                 $(RENDERTMP)/lfs-full.xml
 
+DOWNLOADS_DEP = chapter03/packages.xml chapter03/patches.xml \
+                packages.ent patches.ent general.ent
+
 wget-list: $(BASEDIR)/wget-list $(BASEDIR)/wget-list-$(REV)
-$(BASEDIR)/wget-list: stylesheets/wget-list.xsl chapter03/chapter03.xml \
-                      packages.ent patches.ent general.ent
+$(BASEDIR)/wget-list: stylesheets/wget-list.xsl $(DOWNLOADS_DEP)
 	@echo "Generating consolidated wget list at $(BASEDIR)/wget-list ..."
 	$(Q)mkdir -p $(BASEDIR)
-	$(Q)xsltproc --xinclude --nonet            \
+	$(Q)xsltproc --nonet                       \
+                --xinclude                    \
                 --output $(BASEDIR)/wget-list \
                 stylesheets/wget-list.xsl     \
                 chapter03/chapter03.xml
 
-$(BASEDIR)/wget-list-$(REV): stylesheets/wget-list.xsl \
-                             chapter03/chapter03.xml \
-                             packages.ent patches.ent general.ent
-	$(Q)xsltproc --nonet --xinclude                   \
+$(BASEDIR)/wget-list-$(REV): stylesheets/wget-list.xsl $(DOWNLOADS_DEP)
+	$(Q)xsltproc --nonet                               \
+                --xinclude                            \
                 --stringparam profile.revision $(REV) \
                 --output $(RENDERTMP)/wget-list.xml   \
                 stylesheets/lfs-xsl/profile.xsl       \
                 chapter03/chapter03.xml
-	$(Q)xsltproc --xinclude --nonet                  \
+
+	$(Q)xsltproc --nonet                              \
                 --output $(BASEDIR)/wget-list-$(REV) \
                 stylesheets/wget-list.xsl            \
@@ -176,10 +175,10 @@
 
 md5sums: $(BASEDIR)/md5sums
-$(BASEDIR)/md5sums: stylesheets/wget-list.xsl chapter03/chapter03.xml \
-                    packages.ent patches.ent
+$(BASEDIR)/md5sums: stylesheets/wget-list.xsl $(DOWNLOADS_DEP)
 	@echo "Generating consolidated md5sum file at $(BASEDIR)/md5sums ..."
 	$(Q)mkdir -p $(BASEDIR)
 
-	$(Q)xsltproc --nonet --xinclude                   \
+	$(Q)xsltproc --nonet                               \
+                --xinclude                            \
                 --stringparam profile.revision $(REV) \
                 --output $(RENDERTMP)/md5sum.xml      \
@@ -187,5 +186,5 @@
                 chapter03/chapter03.xml
 
-	$(Q)xsltproc --xinclude --nonet         \
+	$(Q)xsltproc --nonet                     \
                 --output $(BASEDIR)/md5sums \
                 stylesheets/md5sum.xsl      \
Index: chapter10/kernel/Makefile
===================================================================
--- chapter10/kernel/Makefile	(revision e49e2ea26119d5fe32b5d37ef0cac553944f9fa0)
+++ chapter10/kernel/Makefile	(revision 9e76c64bee29fcf6d7f31ac5fcf32dca365a318d)
@@ -20,4 +20,7 @@
 	touch s-kernel-version
 
-%.xml: %.toml kernel-config.py kernel_version.py kernel.version
+%.xml.tmp: %.toml kernel-config.py kernel_version.py kernel.version
 	./kernel-config.py $(KERNEL_TREE) $< > $@
+
+%.xml: %.xml.tmp
+	mv $< $@
Index: chapter10/kernel/kernel-config.py
===================================================================
--- chapter10/kernel/kernel-config.py	(revision e49e2ea26119d5fe32b5d37ef0cac553944f9fa0)
+++ chapter10/kernel/kernel-config.py	(revision 9e76c64bee29fcf6d7f31ac5fcf32dca365a318d)
@@ -186,4 +186,8 @@
             elif line.startswith('endif'):
                 if_stack = if_stack[:-1]
+
+    if config_buf:
+        r += [parse_config(config_buf)]
+
     return r
 
@@ -248,4 +252,5 @@
 for i0, val, i1, title, arrow, key, menu, comment in r:
     rem = max_line
+    is_choice = (val == '(X)')
 
     if val:
@@ -260,5 +265,7 @@
         title = title[:rem - 3] + '...'
 
-    b = title.lstrip('YyMmNnHh')
+    b = title
+    if not is_choice:
+        b = b.lstrip('YyMmNnHh.' + "".join(map(str, range(10))))
     a = title[:len(title) - len(b)]
     b0 = "<emphasis role='blue'>" + escape(b[0]) + "</emphasis>"
@@ -287,5 +294,5 @@
 from jinja2 import Template
 
-t = Template('''<?xml version="1.0" encoding="ISO-8859-1"?>
+t = Template('''<?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE note PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd">
Index: chapter10/kernel/kernel.version
===================================================================
--- chapter10/kernel/kernel.version	(revision e49e2ea26119d5fe32b5d37ef0cac553944f9fa0)
+++ chapter10/kernel/kernel.version	(revision 9e76c64bee29fcf6d7f31ac5fcf32dca365a318d)
@@ -1,1 +1,1 @@
-6.4.8
+6.7.1
Index: chapter10/kernel/systemd.toml
===================================================================
--- chapter10/kernel/systemd.toml	(revision e49e2ea26119d5fe32b5d37ef0cac553944f9fa0)
+++ chapter10/kernel/systemd.toml	(revision 9e76c64bee29fcf6d7f31ac5fcf32dca365a318d)
@@ -14,7 +14,5 @@
 DEVTMPFS='*'
 DEVTMPFS_MOUNT='*'
-FB='*'
-FRAMEBUFFER_CONSOLE='*'
-
+DRM=' *M'
 AUDIT=' '
 NET='*'
@@ -29,2 +27,10 @@
 
 revision='systemd'
+
+[DRM_FBDEV_EMULATION]
+value = ' *'
+comment = 'If [DRM] is selected as * or M, this must be selected'
+
+[FRAMEBUFFER_CONSOLE]
+value = ' *'
+comment = 'If [DRM] is selected as * or M, this must be selected'
Index: chapter10/kernel/sysv.toml
===================================================================
--- chapter10/kernel/sysv.toml	(revision e49e2ea26119d5fe32b5d37ef0cac553944f9fa0)
+++ chapter10/kernel/sysv.toml	(revision 9e76c64bee29fcf6d7f31ac5fcf32dca365a318d)
@@ -13,6 +13,13 @@
 DEVTMPFS='*'
 DEVTMPFS_MOUNT='*'
-FB='*'
-FRAMEBUFFER_CONSOLE='*'
+DRM=' *M'
 
 revision='sysv'
+
+[DRM_FBDEV_EMULATION]
+value = ' *'
+comment = 'If [DRM] is selected as * or M, this must be selected'
+
+[FRAMEBUFFER_CONSOLE]
+value = ' *'
+comment = 'If [DRM] is selected as * or M, this must be selected'
Index: gen-changelog.py
===================================================================
--- gen-changelog.py	(revision e49e2ea26119d5fe32b5d37ef0cac553944f9fa0)
+++ gen-changelog.py	(revision 9e76c64bee29fcf6d7f31ac5fcf32dca365a318d)
@@ -77,4 +77,6 @@
         ticket[pkg] = tic
 
+hold_ticket = {'vim': '4500', 'iana-etc': '5006'}
+
 print("Plain Text:")
 for (s, act) in [(upd, "Update to "), (add, "Add ")]:
@@ -84,4 +86,6 @@
         if pkgver in ticket:
             out += ' (#' + ticket[pkgver] + ')'
+        elif i in hold_ticket:
+            out += ' (#' + hold_ticket[i] + ')'
         print("-", out)
 for i in rem:
@@ -100,8 +104,16 @@
             out += " (security fix)"
         out += "."
+
+        pkg_ticket = None
         if pkgver in ticket:
             out += "  Fixes\n          "
-            out += "<ulink url='&lfs-ticket-root;" + ticket[pkgver] + "'>#"
-            out += ticket[pkgver] + "</ulink>."
+            pkg_ticket = ticket[pkgver]
+        elif i in hold_ticket:
+            out += "  Addresses\n          "
+            pkg_ticket = hold_ticket[i]
+
+        if pkg_ticket:
+            out += "<ulink url='&lfs-ticket-root;" + pkg_ticket + "'>#"
+            out += pkg_ticket + "</ulink>."
         out += "</para>"
         print(out)
Index: general.ent
===================================================================
--- general.ent	(revision e49e2ea26119d5fe32b5d37ef0cac553944f9fa0)
+++ general.ent	(revision 9e76c64bee29fcf6d7f31ac5fcf32dca365a318d)
@@ -93,7 +93,7 @@
 <!ENTITY secadv          "&lfs-root;lfs/advisories/">
 
-<!-- 4.14 EOL is Jan 2024
-     so for LFS 11.5 we may consider moving to 4.19 -->
-<!ENTITY min-kernel      "4.14">
+<!-- 4.19 EOL is Dec 2024
+     so for LFS 12.3 we may consider moving to 5.4 -->
+<!ENTITY min-kernel      "4.19">
 
 <!--
@@ -126,4 +126,5 @@
 <!ENTITY pypi-home       "https://pypi.org/project">
 <!ENTITY pypi-src        "https://pypi.org/packages/source">
+<!ENTITY man             "https://man.archlinux.org/man/">
 
 <!ENTITY root            "<systemitem class='username'>root</systemitem>">
Index: git-version.sh
===================================================================
--- git-version.sh	(revision e49e2ea26119d5fe32b5d37ef0cac553944f9fa0)
+++ git-version.sh	(revision 9e76c64bee29fcf6d7f31ac5fcf32dca365a318d)
@@ -58,6 +58,6 @@
 
 if [ "$(git diff HEAD | wc -l)" != "0" ]; then
-    version="$version+"
-    versiond="$versiond+"
+    version="$version-wip"
+    versiond="$versiond-wip"
 fi
 
Index: lfs-latest-git.php
===================================================================
--- lfs-latest-git.php	(revision e49e2ea26119d5fe32b5d37ef0cac553944f9fa0)
+++ lfs-latest-git.php	(revision 9e76c64bee29fcf6d7f31ac5fcf32dca365a318d)
@@ -153,4 +153,5 @@
 if ( $package == "vim"        ) $dirpath = "https://github.com/vim/vim/tags";
 if ( $package == "wheel"      ) $dirpath = "https://pypi.org/project/wheel/#files";
+if ( $package == "xz"         ) $dirpath = github("tukaani-project/xz");
 if ( $package == "zlib"       ) $dirpath = "https://www.zlib.net";
 if ( $package == "zstd"       ) $dirpath = github("facebook/zstd");
Index: packages.ent
===================================================================
--- packages.ent	(revision e49e2ea26119d5fe32b5d37ef0cac553944f9fa0)
+++ packages.ent	(revision 9e76c64bee29fcf6d7f31ac5fcf32dca365a318d)
@@ -1,3 +1,3 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
+<?xml version="1.0" encoding="UTF-8"?>
 
 <!-- Notes:
@@ -14,24 +14,24 @@
 -->
 
-<!ENTITY acl-version "2.3.1">
-<!ENTITY acl-size "348 KB">
+<!ENTITY acl-version "2.3.2">
+<!ENTITY acl-size "363 KB">
 <!ENTITY acl-url "&savannah;/releases/acl/acl-&acl-version;.tar.xz">
-<!ENTITY acl-md5 "95ce715fe09acca7c12d3306d0f076b2">
+<!ENTITY acl-md5 "590765dee95907dbc3c856f7255bd669">
 <!ENTITY acl-home "&savannah-nongnu;/projects/acl">
 <!ENTITY acl-fin-du "6.1 MB">
 <!ENTITY acl-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY attr-version "2.5.1">
-<!ENTITY attr-size "456 KB">
+<!ENTITY attr-version "2.5.2">
+<!ENTITY attr-size "484 KB">
 <!ENTITY attr-url "&savannah;/releases/attr/attr-&attr-version;.tar.gz">
-<!ENTITY attr-md5 "ac1c5a7a084f0f83b8cace34211f64d8">
+<!ENTITY attr-md5 "227043ec2f6ca03c0948df5517f9c927">
 <!ENTITY attr-home "&savannah-nongnu;/projects/attr">
 <!ENTITY attr-fin-du "4.1 MB">
 <!ENTITY attr-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY autoconf-version "2.71">
-<!ENTITY autoconf-size "1,263 KB">
+<!ENTITY autoconf-version "2.72">
+<!ENTITY autoconf-size "1,360 KB">
 <!ENTITY autoconf-url "&gnu;autoconf/autoconf-&autoconf-version;.tar.xz">
-<!ENTITY autoconf-md5 "12cfa1687ffa2606337efe1a64416106">
+<!ENTITY autoconf-md5 "1be79f7106ab6767f18391c5e22be701">
 <!ENTITY autoconf-home "&gnu-software;autoconf/">
 <!ENTITY autoconf-fin-du "24 MB">
@@ -58,16 +58,16 @@
 <!ENTITY bash-fin-sbu "1.1 SBU">
 
-<!ENTITY bc-version "6.7.2">
-<!ENTITY bc-size "456 KB">
+<!ENTITY bc-version "6.7.5">
+<!ENTITY bc-size "460 KB">
 <!ENTITY bc-url "https://github.com/gavinhoward/bc/releases/download/&bc-version;/bc-&bc-version;.tar.xz">
-<!ENTITY bc-md5 "27c217ea495f73758f548eb2c6e10244">
+<!ENTITY bc-md5 "e249b1f86f886d6fb71c15f72b65dd3d">
 <!ENTITY bc-home "https://git.gavinhoward.com/gavin/bc">
 <!ENTITY bc-fin-du "7.7 MB">
 <!ENTITY bc-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY binutils-version "2.41">
-<!ENTITY binutils-size "26,139 KB">
+<!ENTITY binutils-version "2.42">
+<!ENTITY binutils-size "26,922 KB">
 <!ENTITY binutils-url "https://sourceware.org/pub/binutils/releases/binutils-&binutils-version;.tar.xz">
-<!ENTITY binutils-md5 "256d7e0ad998e423030c84483a7c1e30">
+<!ENTITY binutils-md5 "a075178a9646551379bfb64040487715">
 <!ENTITY binutils-home "&gnu-software;binutils/">
 <!ENTITY binutils-tmpp1-du "647 MB">
@@ -246,8 +246,8 @@
 <!ENTITY gdbm-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY gettext-version "0.22.3">
-<!ENTITY gettext-size "9,997 KB">
+<!ENTITY gettext-version "0.22.4">
+<!ENTITY gettext-size "10,016 KB">
 <!ENTITY gettext-url "&gnu;gettext/gettext-&gettext-version;.tar.xz">
-<!ENTITY gettext-md5 "460b38ae5e520253dcd06165dd3e281f">
+<!ENTITY gettext-md5 "2d8507d003ef3ddd1c172707ffa97ed8">
 <!ENTITY gettext-home "&gnu-software;gettext/">
 <!ENTITY gettext-tmp-du "306 MB">
@@ -256,8 +256,8 @@
 <!ENTITY gettext-fin-sbu "1.4 SBU">
 
-<!ENTITY glibc-version "2.38">
-<!ENTITY glibc-size "18,471 KB">
+<!ENTITY glibc-version "2.39">
+<!ENTITY glibc-size "18,092 KB">
 <!ENTITY glibc-url "&gnu;glibc/glibc-&glibc-version;.tar.xz">
-<!ENTITY glibc-md5 "778cce0ea6bf7f84ca8caacf4a01f45b">
+<!ENTITY glibc-md5 "be81e87f72b5ea2c0ffe2bedfeb680c6">
 <!ENTITY glibc-home "&gnu-software;libc/">
 <!ENTITY glibc-tmp-du "858 MB">
@@ -300,8 +300,8 @@
 <!ENTITY groff-fin-sbu "0.2 SBU">
 
-<!ENTITY grub-version "2.06">
-<!ENTITY grub-size "6,428 KB">
+<!ENTITY grub-version "2.12">
+<!ENTITY grub-size "6,524 KB">
 <!ENTITY grub-url "https://ftp.gnu.org/gnu/grub/grub-&grub-version;.tar.xz">
-<!ENTITY grub-md5 "cf0fd928b1e5479c8108ee52cb114363">
+<!ENTITY grub-md5 "60c564b1bdc39d8e43b3aab4bc0fb140">
 <!ENTITY grub-home "&gnu-software;grub/">
 <!ENTITY grub-fin-du "161 MB">
@@ -320,16 +320,16 @@
 <!ENTITY gzip-fin-sbu "0.3 SBU">
 
-<!ENTITY iana-etc-version "20231107">
+<!ENTITY iana-etc-version "20240125">
 <!ENTITY iana-etc-size "589 KB">
 <!ENTITY iana-etc-url "https://github.com/Mic92/iana-etc/releases/download/&iana-etc-version;/iana-etc-&iana-etc-version;.tar.gz">
-<!ENTITY iana-etc-md5 "01331998d26d5beb592c12b06b2eeb24">
+<!ENTITY iana-etc-md5 "aed66d04de615d76c70890233081e584">
 <!ENTITY iana-etc-home "https://www.iana.org/protocols">
 <!ENTITY iana-etc-fin-du "4.8 MB">
 <!ENTITY iana-etc-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY inetutils-version "2.4">
-<!ENTITY inetutils-size "1,522 KB">
+<!ENTITY inetutils-version "2.5">
+<!ENTITY inetutils-size "1,632 KB">
 <!ENTITY inetutils-url "&gnu;inetutils/inetutils-&inetutils-version;.tar.xz">
-<!ENTITY inetutils-md5 "319d65bb5a6f1847c4810651f3b4ba74">
+<!ENTITY inetutils-md5 "9e5a6dfd2d794dc056a770e8ad4a9263">
 <!ENTITY inetutils-home "&gnu-software;inetutils/">
 <!ENTITY inetutils-fin-du "31 MB">
@@ -344,8 +344,8 @@
 <!ENTITY intltool-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY iproute2-version "6.6.0">
-<!ENTITY iproute2-size "897 KB">
+<!ENTITY iproute2-version "6.7.0">
+<!ENTITY iproute2-size "900 KB">
 <!ENTITY iproute2-url "&kernel;linux/utils/net/iproute2/iproute2-&iproute2-version;.tar.xz">
-<!ENTITY iproute2-md5 "6716fc3188dbea226997fa2478a190d7">
+<!ENTITY iproute2-md5 "35d8277d1469596b7edc07a51470a033">
 <!ENTITY iproute2-home "&kernel;linux/utils/net/iproute2/">
 <!ENTITY iproute2-fin-du "17 MB">
@@ -354,16 +354,16 @@
 <!ENTITY iproute2-tmp-sbu "less than 0.1 SBU">
 
-<!ENTITY jinja2-version "3.1.2">
-<!ENTITY jinja2-size "262 KB">
+<!ENTITY jinja2-version "3.1.3">
+<!ENTITY jinja2-size "264 KB">
 <!ENTITY jinja2-url "&pypi-src;/J/Jinja2/Jinja2-&jinja2-version;.tar.gz">
-<!ENTITY jinja2-md5 "d31148abd89c1df1cdb077a55db27d02">
-<!ENTITY jinja2-home "https://jinja.palletsprojects.com/en/3.0.x/">
+<!ENTITY jinja2-md5 "caf5418c851eac59e70a78d9730d4cea">
+<!ENTITY jinja2-home "https://jinja.palletsprojects.com/en/3.1.x/">
 <!ENTITY jinja2-fin-du "3.4 MB">
 <!ENTITY jinja2-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY kbd-version "2.6.3">
-<!ENTITY kbd-size "1,468 KB">
+<!ENTITY kbd-version "2.6.4">
+<!ENTITY kbd-size "1,470 KB">
 <!ENTITY kbd-url "https://www.kernel.org/pub/linux/utils/kbd/kbd-&kbd-version;.tar.xz">
-<!ENTITY kbd-md5 "4764775cac0415f1d35a0cd311249941">
+<!ENTITY kbd-md5 "e2fd7adccf6b1e98eb1ae8d5a1ce5762">
 <!ENTITY kbd-home "https://kbd-project.org/">
 <!ENTITY kbd-fin-du "35 MB">
@@ -435,11 +435,11 @@
 
 <!ENTITY linux-major-version "6">
-<!ENTITY linux-minor-version "6">
-<!ENTITY linux-patch-version "1">
+<!ENTITY linux-minor-version "7">
+<!ENTITY linux-patch-version "3">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "136,730 KB">
+<!ENTITY linux-size "138,128 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "90291279ca684fb8cfa59b2ae75b6fe0">
+<!ENTITY linux-md5 "a542a2aea4db4cf09e932fff02c8d1d1">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 6.5.3 / gcc-13.2.0 on x86_64 with -j4 : minimum is
@@ -495,16 +495,16 @@
 <!ENTITY man-pages-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY markupsafe-version "2.1.3">
-<!ENTITY markupsafe-size "19 KB">
+<!ENTITY markupsafe-version "2.1.4">
+<!ENTITY markupsafe-size "20 KB">
 <!ENTITY markupsafe-url "&pypi-src;/M/MarkupSafe/MarkupSafe-&markupsafe-version;.tar.gz">
-<!ENTITY markupsafe-md5 "ca33f119bd0551ce15837f58bb180214">
+<!ENTITY markupsafe-md5 "8138329a11cf4bd0f9db780b2af26c66">
 <!ENTITY markupsafe-home "https://palletsprojects.com/p/markupsafe/">
 <!ENTITY markupsafe-fin-du "548 KB">
 <!ENTITY markupsafe-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY meson-version "1.2.3">
-<!ENTITY meson-size "2,134 KB">
+<!ENTITY meson-version "1.3.1">
+<!ENTITY meson-size "2,172 KB">
 <!ENTITY meson-url "&github;/mesonbuild/meson/releases/download/&meson-version;/meson-&meson-version;.tar.gz">
-<!ENTITY meson-md5 "69da4c63ef06c9d3bcc00ce89abb306f">
+<!ENTITY meson-md5 "dd404b8c0f8b79f80181b4a58bb81768">
 <!ENTITY meson-home "https://mesonbuild.com">
 <!ENTITY meson-fin-du "42 MB">
@@ -527,8 +527,11 @@
 <!ENTITY mpfr-fin-sbu "0.2 SBU">
 
-<!ENTITY ncurses-version "6.4">
-<!ENTITY ncurses-size "3,528 KB">
-<!ENTITY ncurses-url "https://invisible-mirror.net/archives/ncurses/ncurses-&ncurses-version;.tar.gz">
-<!ENTITY ncurses-md5 "5a62487b5d4ac6b132fe2bf9f8fad29b">
+<!ENTITY ncurses-release "6.4">
+<!ENTITY ncurses-version "&ncurses-release;-20230520">
+<!ENTITY ncurses-size "2,156 KB">
+<!-- switch back to invisible-mirror.net for 6.5 -->
+<!--ENTITY ncurses-url "https://invisible-mirror.net/archives/ncurses/ncurses-&ncurses-version;.tar.gz"-->
+<!ENTITY ncurses-url "&anduin-sources;/ncurses-&ncurses-version;.tar.xz">
+<!ENTITY ncurses-md5 "c5367e829b6d9f3f97b280bb3e6bfbc3">
 <!ENTITY ncurses-home "&gnu-software;ncurses/">
 <!ENTITY ncurses-tmp-du "51 MB">
@@ -545,8 +548,8 @@
 <!ENTITY ninja-fin-sbu "0.3 SBU">
 
-<!ENTITY openssl-version "3.1.4">
-<!ENTITY openssl-size "15,205 KB">
+<!ENTITY openssl-version "3.2.1">
+<!ENTITY openssl-size "17,318 KB">
 <!ENTITY openssl-url "https://www.openssl.org/source/openssl-&openssl-version;.tar.gz">
-<!ENTITY openssl-md5 "653ad58812c751b887e8ec37e02bba70">
+<!ENTITY openssl-md5 "c239213887804ba00654884918b37441">
 <!ENTITY openssl-home "https://www.openssl.org/">
 <!ENTITY openssl-fin-du "587 MB">
@@ -565,10 +568,10 @@
 <!ENTITY perl-version-major "5">
 <!ENTITY perl-version-minor "38">
-<!ENTITY perl-version-patch "0">
+<!ENTITY perl-version-patch "2">
 <!ENTITY perl-version-min "&perl-version-major;.&perl-version-minor;">
 <!ENTITY perl-version "&perl-version-major;.&perl-version-minor;.&perl-version-patch;">
-<!ENTITY perl-size "13,248 KB">
+<!ENTITY perl-size "13,359 KB">
 <!ENTITY perl-url "https://www.cpan.org/src/5.0/perl-&perl-version;.tar.xz">
-<!ENTITY perl-md5 "e1c8aaec897dd386c741f97eef9f2e87">
+<!ENTITY perl-md5 "d3957d75042918a23ec0abac4a2b7e0a">
 <!ENTITY perl-home "https://www.perl.org/">
 <!ENTITY perl-tmp-du "280 MB">
@@ -577,8 +580,8 @@
 <!ENTITY perl-fin-sbu "7.1 SBU">
 
-<!ENTITY pkgconf-version "2.0.3">
-<!ENTITY pkgconf-size "304 KB">
+<!ENTITY pkgconf-version "2.1.0">
+<!ENTITY pkgconf-size "305 KB">
 <!ENTITY pkgconf-url "https://distfiles.ariadne.space/pkgconf/pkgconf-&pkgconf-version;.tar.xz">
-<!ENTITY pkgconf-md5 "b82ca48ed3097adfa007ee71489b6719">
+<!ENTITY pkgconf-md5 "0f2eadbb9dea5aed95147272ae1592cc">
 <!ENTITY pkgconf-home "http://pkgconf.org/">
 <!ENTITY pkgconf-fin-du "4.6 MB">
@@ -604,9 +607,9 @@
      meson pages will be needed: python3.6 and python3.6m -->
 
-<!ENTITY python-version "3.12.0">
+<!ENTITY python-version "3.12.1">
 <!ENTITY python-minor "3.12">
-<!ENTITY python-size "20,093 KB">
+<!ENTITY python-size "20,102 KB">
 <!ENTITY python-url "https://www.python.org/ftp/python/&python-version;/Python-&python-version;.tar.xz">
-<!ENTITY python-md5 "f6f4616584b23254d165f4db90c247d6">
+<!ENTITY python-md5 "50f827c800483776c8ef86e6a53831fa">
 <!ENTITY python-home "https://www.python.org/">
 <!ENTITY python-tmp-du "533 MB">
@@ -615,6 +618,6 @@
 <!ENTITY python-fin-sbu "1.9 SBU">
 <!ENTITY python-docs-url "https://www.python.org/ftp/python/doc/&python-version;/python-&python-version;-docs-html.tar.bz2">
-<!ENTITY python-docs-md5 "ae9d19bb613ae8ef2457496bd2893915">
-<!ENTITY python-docs-size "8,009 KB">
+<!ENTITY python-docs-md5 "d5c21b804c219b06256495eae30fd153">
+<!ENTITY python-docs-size "7,998 KB">
 
 <!ENTITY readline-version "8.2">
@@ -637,16 +640,16 @@
 <!ENTITY sed-fin-sbu "0.3 SBU">
 
-<!ENTITY setuptools-version "68.2.2">
-<!ENTITY setuptools-size "2,152 KB">
+<!ENTITY setuptools-version "69.0.3">
+<!ENTITY setuptools-size "2,168 KB">
 <!ENTITY setuptools-url "&pypi-src;/s/setuptools/setuptools-&setuptools-version;.tar.gz">
-<!ENTITY setuptools-md5 "d967ca2ba7f46db887daee2d5c9bd6a2">
+<!ENTITY setuptools-md5 "b82de45aaa6b9bb911226660212ebb83">
 <!ENTITY setuptools-home "&pypi-home;/setuptools/">
 <!ENTITY setuptools-fin-du "30 MB">
 <!ENTITY setuptools-fin-sbu "0.1 SBU">
 
-<!ENTITY shadow-version "4.14.2">
-<!ENTITY shadow-size "1,758 KB">
+<!ENTITY shadow-version "4.14.3">
+<!ENTITY shadow-size "1,760 KB">
 <!ENTITY shadow-url "&github;/shadow-maint/shadow/releases/download/&shadow-version;/shadow-&shadow-version;.tar.xz">
-<!ENTITY shadow-md5 "effc1aa17590305647413125b966f1dd">
+<!ENTITY shadow-md5 "b9a7f56d0c63297c0d11d742be2f8ffd">
 <!ENTITY shadow-home "&github;/shadow-maint/shadow/">
 <!ENTITY shadow-fin-du "46 MB">
@@ -661,18 +664,18 @@
 <!ENTITY sysklogd-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY systemd-version  "254">
+<!ENTITY systemd-version  "255">
 <!--<!ENTITY systemd-stable   "6b4878d">-->
 <!-- The above entity is used whenever we move to a stable backport branch. In the event of a critical problem or kernel
      change that is incompatible, we will switch to the backport branch until the next stable release. -->
-<!ENTITY systemd-size     "13,985 KB">
+<!ENTITY systemd-size     "14,516 KB">
 <!ENTITY systemd-url      "&github;/systemd/systemd/archive/v&systemd-version;/systemd-&systemd-version;.tar.gz">
 <!--<!ENTITY systemd-url      "&anduin-sources;/systemd-&systemd-version;-&systemd-stable;.tar.xz">-->
-<!ENTITY systemd-md5      "0d266e5361dc72097b6c18cfde1c0001">
+<!ENTITY systemd-md5      "521cda27409a9edf0370c128fae3e690">
 <!ENTITY systemd-home     "https://www.freedesktop.org/wiki/Software/systemd/">
-<!ENTITY systemd-man-version "254">
-<!ENTITY systemd-man-size "626 KB">
+<!ENTITY systemd-man-version "255">
+<!ENTITY systemd-man-size "652 KB">
 <!--<!ENTITY systemd-man-url  "&anduin-sources;/systemd-man-pages-&systemd-version;-&systemd-stable;.tar.xz">-->
 <!ENTITY systemd-man-url  "&anduin-sources;/systemd-man-pages-&systemd-man-version;.tar.xz">
-<!ENTITY systemd-man-md5  "fc32faeac581e1890ca27fcea3858410">
+<!ENTITY systemd-man-md5  "1ebe54d7a80f9abf8f2d14ddfeb2432d">
 <!ENTITY systemd-fin-du   "238 MB">
 <!ENTITY systemd-fin-sbu  "0.7 SBU">
@@ -718,8 +721,8 @@
 <!ENTITY texinfo-fin-sbu "0.3 SBU">
 
-<!ENTITY tzdata-version "2023c">
-<!ENTITY tzdata-size "436 KB">
+<!ENTITY tzdata-version "2024a">
+<!ENTITY tzdata-size "444 KB">
 <!ENTITY tzdata-url "https://www.iana.org/time-zones/repository/releases/tzdata&tzdata-version;.tar.gz">
-<!ENTITY tzdata-md5 "5aa672bf129b44dd915f8232de38e49a">
+<!ENTITY tzdata-md5 "2349edd8335245525cc082f2755d5bf4">
 <!ENTITY tzdata-home "https://www.iana.org/time-zones">
 
@@ -734,8 +737,8 @@
 
 <!ENTITY util-linux-minor "2.39">
-<!ENTITY util-linux-version "2.39.2"> <!-- 2.33.x -->
-<!ENTITY util-linux-size "8,167 KB">
+<!ENTITY util-linux-version "2.39.3"> <!-- 2.33.x -->
+<!ENTITY util-linux-size "8,327 KB">
 <!ENTITY util-linux-url "&kernel;linux/utils/util-linux/v&util-linux-minor;/util-linux-&util-linux-version;.tar.xz">
-<!ENTITY util-linux-md5 "2feb3e7c306f336a3d22a182dfffc942">
+<!ENTITY util-linux-md5 "f3591e6970c017bb4bcd24ae762a98f5">
 <!ENTITY util-linux-home "https://git.kernel.org/pub/scm/utils/util-linux/util-linux.git/">
 <!ENTITY util-linux-tmp-du "169 MB">
@@ -747,35 +750,35 @@
 <!ENTITY mount-setsid-sbu "less than 0.1 SBU">
 
-<!ENTITY vim-version "9.0.2103">
+<!ENTITY vim-version "9.1.0041">
 <!-- <!ENTITY vim-majmin "90"> -->
-<!ENTITY vim-docdir "vim/vim90">
-<!ENTITY vim-size "11,193 KB">
-<!--<!ENTITY vim-url "https://github.com/vim/vim/archive/v&vim-version;/vim-&vim-version;.tar.gz">-->
-<!ENTITY vim-url "&anduin-sources;/vim-&vim-version;.tar.xz">
-<!ENTITY vim-md5 "1af1d018026234d085a82348703461ce">
+<!ENTITY vim-docdir "vim/vim91">
+<!ENTITY vim-size "17,224 KB">
+<!ENTITY vim-url "https://github.com/vim/vim/archive/v&vim-version;/vim-&vim-version;.tar.gz">
+<!--<!ENTITY vim-url "&anduin-sources;/vim-&vim-version;.tar.gz">-->
+<!ENTITY vim-md5 "79dfe62be5d347b1325cbd5ce2a1f9b3">
 <!ENTITY vim-home "https://www.vim.org">
 <!ENTITY vim-fin-du "229 MB">
 <!ENTITY vim-fin-sbu "2.3 SBU">
 
-<!ENTITY wheel-version "0.41.3">
+<!ENTITY wheel-version "0.42.0">
 <!ENTITY wheel-size "97 KB">
 <!ENTITY wheel-url "&pypi-src;/w/wheel/wheel-&wheel-version;.tar.gz">
-<!ENTITY wheel-md5 "c66db2f3a50d5659994fa974138d4002">
+<!ENTITY wheel-md5 "802ad6e5f9336fcb1c76b7593f0cd22d">
 <!ENTITY wheel-home "&pypi-home;/wheel/">
 <!ENTITY wheel-fin-du "1.5 MB">
 <!ENTITY wheel-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY xml-parser-version "2.46">
-<!ENTITY xml-parser-size "249 KB">
+<!ENTITY xml-parser-version "2.47">
+<!ENTITY xml-parser-size "276 KB">
 <!ENTITY xml-parser-url "https://cpan.metacpan.org/authors/id/T/TO/TODDR/XML-Parser-&xml-parser-version;.tar.gz">
-<!ENTITY xml-parser-md5 "80bb18a8e6240fcf7ec2f7b57601c170">
+<!ENTITY xml-parser-md5 "89a8e82cfd2ad948b349c0a69c494463">
 <!ENTITY xml-parser-home "&github;/chorny/XML-Parser">
 <!ENTITY xml-parser-fin-du "2.3 MB">
 <!ENTITY xml-parser-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY xz-version "5.4.5">
-<!ENTITY xz-size "1,642 KB">
-<!ENTITY xz-url "https://tukaani.org/xz/xz-&xz-version;.tar.xz">
-<!ENTITY xz-md5 "1d33e0be05c53e7a5641acf5c8b35fdd">
+<!ENTITY xz-version "5.4.6">
+<!ENTITY xz-size "1,645 KB">
+<!ENTITY xz-url "https://github.com/tukaani-project/xz/releases/download/v&xz-version;/xz-&xz-version;.tar.xz">
+<!ENTITY xz-md5 "7ade7bd1181a731328f875bec62a9377">
 <!ENTITY xz-home "https://tukaani.org/xz">
 <!ENTITY xz-tmp-du "22 MB">
@@ -784,6 +787,6 @@
 <!ENTITY xz-fin-sbu "0.1 SBU">
 
-<!ENTITY zlib-version "1.3">
-<!ENTITY zlib-size "1,461 KB">
+<!ENTITY zlib-version "1.3.1">
+<!ENTITY zlib-size "1,478 KB">
 <!-- DO NOT remove "fossils"!
      The upstream removes https://zlib.net/zlib-&zlib-version;.tar.xz
@@ -791,5 +794,5 @@
      Unfortunately there is no .xz files in fossils directory.  -->
 <!ENTITY zlib-url "https://zlib.net/fossils/zlib-&zlib-version;.tar.gz">
-<!ENTITY zlib-md5 "60373b133d630f74f4a1f94c1185a53f">
+<!ENTITY zlib-md5 "9855b6d802d7fe5b7bd5b196a2271655">
 <!ENTITY zlib-home "https://zlib.net/">
 <!ENTITY zlib-fin-du "6.2 MB">
